This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 241524 - squid as reverse proxy with a redirctor, new version broke the redirector new links
squid as reverse proxy with a redirctor, new version broke the redirector new...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-27 05:55 EDT by gonen
Modified: 2014-11-09 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 10:42:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description gonen 2007-05-27 05:55:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3

Description of problem:
Hello,

I would like to report a bug in the new squid pakage
squid-2.5.STABLE14-1.4E that repalce squid-2.5.STABLE6-3.4E.12

I'm using squid as reverse proxy with a redirctor.
The new version broke the redirector new links.

For example this URL:
http://www.domain.com/
Should be redirect to this URL:
http://www.redirect-domain.com/

When trying to load http://www.domain.com/ squid give this error message:

The requested URL could not be retrieved
While trying to retrieve the URL: http://www.redirect-domain.com/
The following error was encountered:
   Unable to determine IP address from host name for templeoflight.wikis.diburim.co.il
The dnsserver returned:
   Name Error: The domain name does not exist.
This means that:
The cache was not able to resolve the hostname presented in the URL.
Check if the address is correct.
Your cache administrator is root.
Generated Sat, 19 May 2007 14:15:07 GMT by ns1.wike-site.com (squid/2.5.STABLE14)

www.redirect-domain.com  is alive and define fine squid dns resolvers.
Uninstaling the new pakage  and reinstalling the old pakage solve the problem.

Regards, 
Gonen

Version-Release number of selected component (if applicable):
squid-2.5.STABLE14-1.4E

How reproducible:
Always


Steps to Reproduce:
1.upgrade to squid-2.5.STABLE14-1.4E, and setup redirector
2.set redirector to redirect entries of http://www.domain.com/ to http://www.redirect-domain.com/
3.set DNS to match http://www.redirect-domain.com/ to my servers IP

Actual Results:


Expected Results:


Additional info:
Comment 1 Ondrej Vasik 2010-03-18 10:42:34 EDT
Thanks for report and sorry for no response for long time. Now the last regular update 4.9 is coming and we are addressing security, performance and critical issues. As this is the only report of the issue and there is not too much of activity, I guess problem was already fixed or was just some glitch. Closing NEXTRELEASE as this bugzilla is not going to be addressed in RHEL-4. 

Feel free to reopen it against RHEL-5 if you still experience the issue there. Please use product support in that case, bugzilla is not support channel for RHEL. Thanks.

Note You need to log in before you can comment on or make changes to this bug.